# class RDoc::Markup::Verbatim

A section of verbatim text

### Attributes

format[RW]

Format of this verbatim section

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_verbatim on `visitor`

    # File lib/rdoc/markup/verbatim.rb, line 20
    def accept visitor
      visitor.accept_verbatim self
    end

normalize() click to toggle source

Collapses 3+ newlines into two newlines

    # File lib/rdoc/markup/verbatim.rb, line 27
    def normalize
      parts = []

      newlines = 0

      @parts.each do |part|
        case part
        when %r^\s*\n/ then
          newlines += 1
          parts << part if newlines == 1
        else
          newlines = 0
          parts << part
        end
      end

      parts.pop if parts.last =~ %r\A\r?\n\z/

      @parts = parts
    end

ruby?() click to toggle source

Is this verbatim section ruby code?

    # File lib/rdoc/markup/verbatim.rb, line 51
    def ruby?
      @format ||= nil # TODO for older ri data, switch the tree to marshal_dump
      @format == :ruby
    end

text() click to toggle source

The text of the section

    # File lib/rdoc/markup/verbatim.rb, line 59
    def text
      @parts.join
    end